/*! \file PduSessionEstablishRequest.c

\brief pdu session establishment request procedures
\author Yoshio INOUE, Masayuki HARADA
\email: yoshio.inoue@fujitsu.com,masayuki.harada@fujitsu.com
\date 2020
\version 0.1
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>


#include "TLVEncoder.h"
#include "TLVDecoder.h"
#include "PduSessionEstablishRequest.h"


int encode_pdu_session_establishment_request(pdu_session_establishment_request_msg *pdusessionestablishrequest, uint8_t *buffer)
{
  int encoded = 0;


  *(buffer + encoded) = pdusessionestablishrequest->protocoldiscriminator;
  encoded++;
  *(buffer + encoded) = pdusessionestablishrequest->pdusessionid;
  encoded++;
  *(buffer + encoded) = pdusessionestablishrequest->pti;
  encoded++;
  *(buffer + encoded) = pdusessionestablishrequest->pdusessionestblishmsgtype;
  encoded++;

  IES_ENCODE_U16(buffer, encoded, pdusessionestablishrequest->maxdatarate);

  return encoded;
}


